Get Storage Pricing
GET
/providers/{provider}/storage-pricing
const url = 'https://api.mengi.cloud/providers/example/storage-pricing';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/providers/example/storage-pricingGet current block storage pricing for a provider (dynamically fetched).
Prices are cached for 1 hour and fetched from cloud provider APIs. Returns the price per GB per month in EUR.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” provider
required
Provider
string
Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}